# SpeexMode Struct Reference
[Speex encoder and decoder]

`#include <speex.h>`

List of all members.

## Public Attributes

const void * | mode
mode_query_func | query
const char * | modeName
int | modeID
int | bitstream_version
encoder_init_func | enc_init
encoder_destroy_func | enc_destroy
encode_func | enc
decoder_init_func | dec_init
decoder_destroy_func | dec_destroy
decode_func | dec
encoder_ctl_func | enc_ctl
decoder_ctl_func | dec_ctl

## Detailed Description

Struct defining a Speex mode

## Member Data Documentation

const void* SpeexMode::mode

Pointer to the low-level mode data

mode_query_func SpeexMode::query

Pointer to the mode query function

const char* SpeexMode::modeName

The name of the mode (you should not rely on this to identify the mode)

int SpeexMode::modeID

ID of the mode

int SpeexMode::bitstream_version

Version number of the bitstream (incremented every time we break bitstream compatibility

encoder_init_func SpeexMode::enc_init

Pointer to encoder initialization function

encoder_destroy_func SpeexMode::enc_destroy

Pointer to encoder destruction function

encode_func SpeexMode::enc

Pointer to frame encoding function

decoder_init_func SpeexMode::dec_init

Pointer to decoder initialization function

decoder_destroy_func SpeexMode::dec_destroy

Pointer to decoder destruction function

decode_func SpeexMode::dec

Pointer to frame decoding function

encoder_ctl_func SpeexMode::enc_ctl

ioctl-like requests for encoder

decoder_ctl_func SpeexMode::dec_ctl

ioctl-like requests for decoder

The documentation for this struct was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/speex-1.2beta3/include/speex/speex.h